﻿using System;
using System.ComponentModel;
using System.Collections.ObjectModel;

namespace Exporting
{
	public class ViewModel:INotifyPropertyChanged
	{
		public ViewModel ()
		{
			SetRowstoGenerate(800);
		}
		private OrderDetailsRepository order;

		private ObservableCollection<OrderInfo> ordersInfo;

		public ObservableCollection<OrderInfo> OrdersInfo
		{
			get { return ordersInfo; }
			set { this.ordersInfo = value; RaisePropertyChanged("OrdersInfo"); }
		}



		#region ItemSource Generator

		public void SetRowstoGenerate(int count)
		{
			order = new OrderDetailsRepository();
			ordersInfo = order.GetOrderDetails(200);
		}

		#endregion

		#region INotifyPropertyChanged implementation

		public event PropertyChangedEventHandler PropertyChanged;

		private void RaisePropertyChanged(String name)
		{
			if (PropertyChanged != null)
				this.PropertyChanged(this, new PropertyChangedEventArgs(name));
		}
		#endregion
	}
}

